View Issue Details

IDProjectCategoryView StatusLast Update
0001549SymmetricDSBugpublic2014-02-05 10:08
ReporterelongAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.0 
Target Version3.5.16Fixed in Version3.5.16 
Summary0001549: Delete of file is not synced
DescriptionDeletion of a file is not synced with file sync. If two nodes are syncing a file, and node 1 is the last node to change the file, then node 1 deletes the file, the deletion is not synced. The delete is captured and batched, but it is routed as "unrouted". It seems like the logic that prevents a ping back of change.
Steps To Reproduce1. Setup standard 2-tier client/server.
2. Setup file triggers for both client and server and link each file trigger to the other node.
3. Create a file on server, let it sync to client
4. Edit the file on the client, let it sync to server
5. Delete the file on server
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master c0efba24

2014-01-30 09:32:30

chenson

Details Diff
0001549: Delete of file is not synced
0001549
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncServiceSqlMap.java Diff File

SymmetricDS: master 9e48aec9

2014-01-30 16:26:21

chenson

Details Diff
0001549: Delete of file is not synced
0001549
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/FileSnapshot.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncServiceSqlMap.java Diff File

SymmetricDS: master 56b84c41

2014-01-30 16:47:45

chenson

Details Diff
0001549: Delete of file is not synced
0001549
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File

Issue History

Date Modified Username Field Change
2014-01-29 15:58 elong New Issue
2014-01-29 15:58 elong Status new => assigned
2014-01-29 15:58 elong Assigned To => chenson
2014-01-29 19:44 chenson Target Version => 3.5.16
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7897
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7900
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7902
2014-02-03 19:04 chenson Status assigned => resolved
2014-02-03 19:04 chenson Fixed in Version => 3.5.16
2014-02-03 19:04 chenson Resolution open => fixed
2014-02-05 10:08 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 56b84c41
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 9e48aec9
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master c0efba24